Bug 437223 - NetworkManager shouldn't admit the network is ready, when it isn't (because of missing VPN connections)
NetworkManager shouldn't admit the network is ready, when it isn't (because o...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-12 20:42 EDT by Matěj Cepl
Modified: 2009-01-09 01:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:10:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2008-03-12 20:42:28 EDT
Description of problem:
It happened to me multiple times that different IM clients or Evolution begin to
connect to their respective network server (IRC server, or IMAP) which is hidden
inside of VPN upon connection to the public Internet with NetworkManager.
However, in that moment VPN connection is not available (and it is not started
on by default, which is another problem), so the programs failed. Especially
wonderful with programs, which have hard time to connect to the network once
they failed.

Version-Release number of selected component (if applicable):
NetworkManager-0.7.0-0.6.7.svn3370.fc8

How reproducible:
100%

Steps to Reproduce:
1. resume the computer from suspend with some network clients running (IM
program or the email one) which are sensitive to the NetworkManager
2. wait until the NM connection is created
3.
  
Actual results:
observe failure of the network apps to connect through VPN

Expected results:
no failure, apps still patiently wait until ALL connections are established.

Additional info:
I am quite sure, that this is duplicate of some other bug, but even when I went
manually through all 269 NM bugs, but I haven't found the appropriate bug.
Comment 1 Dan Williams 2008-03-31 12:19:14 EDT
There's really only one NM bug here, which is that NM should restart the
previously active VPN connection on resume.

The other issue is that apps like pidgin and Evolution only listen for network
changes, not for VPN changes.  This is actually hard to fix.  You could tie a
VPN connection to an email account in Evolution, for example, but then if you're
on a wired connection which has direct access to the mail server and you don't
need VPN, Evo would still say you're disconnected because the VPN wasn't up. 
You could say "if I can ping this server then I can get to email" but that
doesn't help for captive portals at coffee shops that intercept and redirect
DNS.  So you are left basically with "can I start an IMAP session to this
server", at which point you're already trying to connect...

Even if I fixed the NM issue above, you'll still have the same problem if the
VPN fails to actually connect on resume.

Comment 2 Matěj Cepl 2008-04-01 04:10:35 EDT
(In reply to comment #1)
> Even if I fixed the NM issue above, you'll still have the same problem if the
> VPN fails to actually connect on resume.

Couldn't NM just try to connect to VPN and if it fails, to say by setting some
bits somewhere "OK, I have a network connection, but it is a dirty one, I
haven't managed to get all connections on"?
Comment 3 Matěj Cepl 2008-11-03 08:08:40 EST
(In reply to comment #1)
> The other issue is that apps like pidgin and Evolution only listen for network
> changes, not for VPN changes.  This is actually hard to fix.  You could tie a
> VPN connection to an email account in Evolution, for example, but then if
> you're on a wired connection which has direct access to the mail server and 
> you don't need VPN, Evo would still say you're disconnected because the VPN 
> wasn't up. 
> You could say "if I can ping this server then I can get to email" but that
> doesn't help for captive portals at coffee shops that intercept and redirect
> DNS.  So you are left basically with "can I start an IMAP session to this
> server", at which point you're already trying to connect...

a) ping? Any progress here?
b) doesn't NetworkManager know which connection is used for the particular server? So, it should be able to say to Evolution -- "Connection to server foo is down" when trying to get to the VPN-shielded IMAP server and "Connection is OK" when trying to get to gmail?
Comment 4 Bug Zapper 2008-11-26 05:08:58 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 01:10:50 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.